
QGIS Application - Bug report #1203

QGIS segfaults when an Action with capture output has an invalid path to executable is called

2008-08-04 06:11 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11263

Description

Steps to show the problem:

1. create an Action in Layer Properties, specifying a program that doesn't exist - xyz, for example.

2. set Capture output (this is due to another bug already reported)

3. use Identify on the layer, pick an object

4. click on the Action created in step 1

5. QGIS quits - segfault

This happens on Windows and Linux; can't test Mac.

Versions at least back to 0.9.0 have this problem.

r8952; Qt 4.3.3 & 4.4.0

Associated revisions

Revision bf354814 - 2009-04-11 09:39 PM - Jürgen Fischer

fix #1203

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10533 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d3a38b04 - 2009-04-11 09:39 PM - Jürgen Fischer

fix #1203

git-svn-id: http://svn.osgeo.org/qgis/trunk@10533 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-05 12:20 AM - gjm -

- Status changed from Open to Closed

- Resolution set to fixed

2025-04-27 1/2

http://svn.osgeo.org/qgis/trunk/qgis@10533
http://svn.osgeo.org/qgis/trunk@10533


Fixed by applying patch in #989.

#2 - 2009-01-27 02:10 AM - Mike Taves

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

I have this issue with my Windows XP version of QGIS 1.0.0.

According to my "About" dialog, I have: "QGIS version 1.0.0-Kore built against code revision unknown", which I obtained from OSGeo4W yesterday. Sorry,

I can't confirm this on any other platform.

#3 - 2009-01-27 02:26 AM - Mike Taves

Note that I only have this crashing behaviour with Capture output enabled.

With Capture output disabled, everything works as expected (including error message if a command is not found).

#4 - 2009-03-28 08:19 PM - Mike Taves

I don't see the other bug that reports the capture output bug (so I modified the summary), but this report is still valid (I have 1.1 - trunk for [[WinXP]] via

OSGeo4W).

#5 - 2009-04-11 12:39 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

should be fixed with commit:d3a38b04 (SVN r10534)

#6 - 2009-08-22 01:03 AM - Anonymous

Milestone Version 1.1.0 deleted
